(* $Id: nn_alloc_types.ml 320 2010-11-04 13:09:14Z gerd $ *)

(** Types for allocation algorithms *)

type rpolicy =
    [ `Balanced of int ]
      (** - [`Balanced factor]: Blocks are allocated on all datanodes,
            so that the nodes fill up similarly. The int is the
            replication factor
       *)


type transacted_datastores =
    { td_idlist : int list;
        (** IDs of datastores participating in a transaction *)
      td_safetrans_id : int64;
        (** safetrans id *)
      td_safetrans_secret : int64;
        (** per transaction secret *)
      td_safetrans_tmo : int64;
        (** timeout for data transaction *)
    }


exception No_space
  (** No space in the filesystem - all blocks are used *)
